Orxonox: OIS::FactoryCreator Class Reference

# OIS::FactoryCreator Class Reference

`#include <src/ois/OISFactoryCreator.h>`

Inheritance diagram for OIS::FactoryCreator:

List of all members.

## Public Member Functions

virtual Object * | createObject (InputManager *creator, Type iType, bool bufferMode, const std::string &vendor="")=0
virtual void | destroyObject (Object *obj)=0
virtual DeviceList | freeDeviceList ()=0
virtual int | freeDevices (Type iType)=0
virtual int | totalDevices (Type iType)=0
virtual bool | vendorExist (Type iType, const std::string &vendor)=0
virtual | ~FactoryCreator ()

## Detailed Description

Interface for creating devices - all devices ultimately get enumerated/created via a factory. A factory can create multiple types of objects.

## Constructor & Destructor Documentation

virtual OIS::FactoryCreator::~FactoryCreator | ( |  | ) | `[inline, virtual]`

Remarks:
  Virtual Destructor

## Member Function Documentation

virtual Object* OIS::FactoryCreator::createObject | ( | InputManager * | creator,
|  | Type | iType,
|  | bool | bufferMode,
|  | const std::string & | vendor = `""` |
| ) |  |  | `[pure virtual]`

Remarks:
  Creates the object

Parameters:

  | iType | Type to create
  | bufferMode | True to setup for buffered events
  | vendor | Create a device with the vendor name, "" means vendor name is unimportant

Implemented in OIS::LinuxInputManager, OIS::MacHIDManager, OIS::MacInputManager, and OIS::Win32InputManager.

virtual void OIS::FactoryCreator::destroyObject | ( | Object * | obj | ) | `[pure virtual]`

Remarks:
  Destroys object

Parameters:

  | obj | Object to destroy

Implemented in OIS::LinuxInputManager, OIS::MacHIDManager, OIS::MacInputManager, and OIS::Win32InputManager.

virtual DeviceList OIS::FactoryCreator::freeDeviceList | ( |  | ) | `[pure virtual]`

Remarks:
  Return a list of all unused devices the factory maintains

Implemented in OIS::LinuxInputManager, OIS::MacHIDManager, OIS::MacInputManager, and OIS::Win32InputManager.

virtual int OIS::FactoryCreator::freeDevices | ( | Type | iType | ) | `[pure virtual]`

Remarks:
  Number of free devices of requested type

Parameters:

  | iType | Type of devices to check

Implemented in OIS::LinuxInputManager, OIS::MacHIDManager, OIS::MacInputManager, and OIS::Win32InputManager.

virtual int OIS::FactoryCreator::totalDevices | ( | Type | iType | ) | `[pure virtual]`

Remarks:
  Number of total devices of requested type

Parameters:

  | iType | Type of devices to check

Implemented in OIS::LinuxInputManager, OIS::MacHIDManager, OIS::MacInputManager, and OIS::Win32InputManager.

virtual bool OIS::FactoryCreator::vendorExist | ( | Type | iType,
|  | const std::string & | vendor |
| ) |  |  | `[pure virtual]`

Remarks:
  Does a Type exist with the given vendor name

Parameters:

  | iType | Type to check
  | vendor | Vendor name to test

Implemented in OIS::LinuxInputManager, OIS::MacHIDManager, OIS::MacInputManager, and OIS::Win32InputManager.

The documentation for this class was generated from the following file:

- src/ois/OISFactoryCreator.h